SweetConnect LogoSweetConnect
ApiMaintenance documents

Attach a file to a maintenance record

Access restricted to roles:

  • admin
  • manufacturer-admin
  • manufacturer-user
  • producer-admin
  • producer-user
POST
/v1/documents/maintenance/{maintenanceId}/{fileId}/{maintenanceOrganizationId}
AuthorizationBearer <token>

In: header

Path Parameters

maintenanceId*string

The ID of the maintenance record to which the file will be attached

fileId*string

The ID of the file to be attached to the maintenance record

maintenanceOrganizationId*string

The ID of the maintenance organization where the file should be referenced

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://dev.sweetconnect.io/api/storage/v1/documents/maintenance/9c0e194b-b03c-46ba-946d-bc3447c42e5a/ab72f7c2-9c92-430f-a95a-936eb64cf9fc/a699951c-eebc-44e8-81bd-fca3a8f72316"
{
  "data": {
    "id": "a3f2b65e-4f22-4f45-80c4-9e547a8f5e6a",
    "filename": "document.pdf",
    "displayname": "Manual 2025",
    "ownerId": "d1f2g3h4-i5j6-k7l8-m9n0",
    "organizationId": "d1f2g3h4-i5j6-k7l8-m9n0",
    "manufacturerId": "d1f2g3h4-i5j6-k7l8-m9n0",
    "mimetype": "application/pdf",
    "category": {
      "id": "AA",
      "languageCode": "en",
      "name": "Electronics"
    },
    "languages": [
      "de",
      "fr"
    ],
    "updatedAt": "2025-02-27T12:00:00.000Z",
    "updatedBy": "user-1234abcd",
    "createdBy": "user-5678efgh",
    "createdAt": "2025-01-15T09:30:00.000Z",
    "supplierDocument": false,
    "supplierName": "Amcor",
    "aiInjected": "uninjected",
    "aiInjectedUpdatedAt": "2025-02-27T14:30:00.000Z"
  }
}
{
  "errors": [
    {
      "errorCode": "BadRequest",
      "message": "The request payload is invalid.",
      "extension": {}
    }
  ]
}
{
  "errors": [
    {
      "errorCode": "Unauthorized",
      "message": "Authentication is required to access this resource.",
      "extension": {}
    }
  ]
}
{
  "errors": [
    {
      "errorCode": "NoPermission",
      "message": "You do not have permission to access this resource.",
      "extension": {}
    }
  ]
}
{
  "errors": [
    {
      "errorCode": "NotFound",
      "message": "The requested resource was not found.",
      "extension": {}
    }
  ]
}
{
  "errors": [
    {
      "errorCode": "InternalServerError",
      "message": "An unexpected error occurred. See logs for further details or create a support ticket.",
      "extension": {}
    }
  ]
}